Установка GD-библиотеки для PHP на Linux

Программирование в PHP

Модератор: Aleksandr

Аватара
Автор темы
SJplayer M
Модератор
Модератор
Сообщения: 180
Репутация: 26
С нами: 5 лет 2 месяца

Установка GD-библиотеки для PHP на Linux

Сообщение #1 SJplayer » 1 января 2014, 11:39

Так как у меня сайты стоят на VPS, при установке плагина WP-NOTCAPTCHA для Wordpress, столкнулся с таким предупреждением:

Изображение


Из этого я понял что PHP не хватает GD, для чего она нужна думаю вам не интересно, главное исправить ошибку. Тогда начнём: запускаем PuTTY и прописываем команду:

Код: Выделить всё

apt-get install php5-gd -y


Можно прописывать команду и без "-y" в конце:

Код: Выделить всё

apt-get install php5-gd


Тогда процесс установки остановился на вопросе "N/Y?". Вот и получается, что параметр "-y" при установке означает автоматическое согласие.

Перезапускаем Аpache:
для ubuntu:

Код: Выделить всё

sudo invoke-rc.d apache2 restart


для debian:

Код: Выделить всё

/etc/init.d/apache2 restart


Наслаждаемся результатом :wink:

Изображение

! ! !


  • Похожие темы
    Ответы
    Просмотры
    Последнее сообщение

Вернуться в «PHP»

Кто сейчас на форуме